# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

( cd usr/lib64 ; rm -rf libakonadi-filestore.so )
( cd usr/lib64 ; ln -sf libakonadi-filestore.so.4 libakonadi-filestore.so )
( cd usr/lib64 ; rm -rf libakonadi-filestore.so.4 )
( cd usr/lib64 ; ln -sf libakonadi-filestore.so.4.9.3 libakonadi-filestore.so.4 )
( cd usr/lib64 ; rm -rf libakonadi-xml.so )
( cd usr/lib64 ; ln -sf libakonadi-xml.so.4 libakonadi-xml.so )
( cd usr/lib64 ; rm -rf libakonadi-xml.so.4 )
( cd usr/lib64 ; ln -sf libakonadi-xml.so.4.9.3 libakonadi-xml.so.4 )
( cd usr/lib64 ; rm -rf libkdepim-copy.so )
( cd usr/lib64 ; ln -sf libkdepim-copy.so.4 libkdepim-copy.so )
( cd usr/lib64 ; rm -rf libkdepim-copy.so.4 )
( cd usr/lib64 ; ln -sf libkdepim-copy.so.4.9.3 libkdepim-copy.so.4 )
( cd usr/lib64 ; rm -rf libkmindexreader.so )
( cd usr/lib64 ; ln -sf libkmindexreader.so.4 libkmindexreader.so )
( cd usr/lib64 ; rm -rf libkmindexreader.so.4 )
( cd usr/lib64 ; ln -sf libkmindexreader.so.4.9.3 libkmindexreader.so.4 )
( cd usr/lib64 ; rm -rf libmaildir.so )
( cd usr/lib64 ; ln -sf libmaildir.so.4 libmaildir.so )
( cd usr/lib64 ; rm -rf libmaildir.so.4 )
( cd usr/lib64 ; ln -sf libmaildir.so.4.9.3 libmaildir.so.4 )
